# -*- coding: utf-8 -*-
from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope import interface
from Products.ATContentTypes.content.folder import ATFolder
from Products.azlinks.interfaces.azlinkfolder import IAzLinkFolder
from Products.azlinks.config import *

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    TextField(
        name='text',
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        widget=RichWidget(
            label='Text',
            label_msgid='azlinks_label_text',
            i18n_domain='azlinks',
        ),
        default_output_type='text/html'
    ),

    LinesField(
        name='categories',
        widget=LinesWidget(
            label='Categories',
            label_msgid='azlinks_label_categories',
            i18n_domain='azlinks',
        )
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

AzLinkFolder_schema = getattr(ATFolder, 'schema', Schema(())).copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class AzLinkFolder(ATFolder):
    """
    """
    security = ClassSecurityInfo()
    # zope3 interfaces
    interface.implements(IAzLinkFolder)

    # This name appears in the 'add' box
    archetype_name = 'AzLinkFolder'

    meta_type = 'AzLinkFolder'
    portal_type = 'AzLinkFolder'
    allowed_content_types = ['AzLink'] + list(getattr(ATFolder, 'allowed_content_types', []))
    filter_content_types = 1
    global_allow = 1
    #content_icon = 'AzLinkFolder.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "AzLinkFolder"
    typeDescMsgId = 'description_edit_azlinkfolder'

    _at_rename_after_creation = True

    schema = AzLinkFolder_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods


registerType(AzLinkFolder, PROJECTNAME)
# end of class AzLinkFolder

##code-section module-footer #fill in your manual code here
##/code-section module-footer



