# -*- coding: utf-8 -*-

##code-section module-header #fill in your manual code here
##/code-section module-header




from zope import interface

class IAzLinkFolderView(interface.Interface):
    ''' '''

    ##code-section class-header_IAzLinkFolderView #fill in your manual code here
    ##/code-section class-header_IAzLinkFolderView




    def azMatrix():
        """return a list of lists, so a row/column matrix.

        [['a', 'b', ... 'e'], ['f' ...], [... 'xy', 'z']]

        Each item will not be a simple string, but a dictionary with a
        title and a searchLink key.
        """



    def categories():
        """Return a list of categories.

        Each category will be a dictionary with a title and a
        searchLink key.
        """



    def results():
        """Return results ordered by a..z.

        The results will be a list of dictionaries with keys 'letter'
        and 'lines'.

        Each result item will be a dictionary with a title and a link
        key.
        """



    def numberOfResults():
       """Return the number of results.

       If there are no results, just return 0.
       """



##code-section module-footer #fill in your manual code here
##/code-section module-footer



